package cn.iocoder.yudao.module.order.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum OrderWarehouseInStatusEnum {

    warehousing(201, "入仓中"),
    warehouse_finished(202, "已入仓"),
    update_applying(203, "入仓修改审核中"),
    rollback_applying(204, "退仓申请中"),
    rollback_passed_wait_pay(205, "退仓通过，费用待清缴"),
    rollback_finished(206, "已退仓"),
    order_split_applying(207, "拆单申请中"),
    order_split_finished(208, "已拆单"),
    order_merge_applying(209, "合单申请中"),
    order_merge_apply_pass(210, "已合单"),
    order_merge_apply_finish(211, "已合单归档"),
    adjust_applying(212, "调仓审核中"),
    adjust_wait_out(213, "调仓待出仓"),
    adjust_wait_in(214, "调仓待入仓"),
    adjust_finished(215, "调仓已到仓"),

    //warehousing(216, "报关退场已入仓"),
    //warehousing(217, "预装审核中"),
    unloaded_cabinet(218, "已卸柜/已到仓"),

    order_split_revoke_applying(219, "撤销拆单申请中"),
    order_split_revoke_apply_pass(220, "拆单已撤销"),


    ;
    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;



}
